<?php

/**
 * @file
 * FlexiformSubmission editing UI.
 *
 * We make very little use of the EntityAPI interface for this - preferring instead to use
 * views. That offers more flexibility to change a UI that will, more often than not,
 * be end-user facing.
 */

/**
 * UI controller.
 */
class FlexiformWebformSubmissionUIController extends EntityDefaultUIController {

  /**
   * Overrides hook_menu() defaults. Main reason for doing this is that
   * parent class hook_menu() is optimized for entity type administration.
   */
  public function hook_menu() {
    $items = array();
    $id_count = count(explode('/', $this->path));
    $wildcard = isset($this->entityInfo['admin ui']['menu wildcard']) ? $this->entityInfo['admin ui']['menu wildcard'] : '%' . $this->entityType;

    $items[$this->path] = array(
      'title' => 'Flexiform Submissions',
      'description' => 'Add edit and update flexiform_submissions.',
      'page callback' => 'system_admin_menu_block_page',
      'access arguments' => array('access administration pages'),
      'file path' => drupal_get_path('module', 'system'),
      'file' => 'system.admin.inc',
    );

    // Change the overview menu type for the list of flexiform_submissions.
    $items[$this->path]['type'] = MENU_LOCAL_TASK;

    return $items;
  }
}

/**
 * Sets the breadcrumb for administrative flexiform_submission pages.
 */
function flexiform_webform_submission_set_breadcrumb() {
  $breadcrumb = array(
    l(t('Home'), '<front>'),
    l(t('Administration'), 'admin'),
    l(t('Content'), 'admin/content'),
    l(t('FlexiformSubmissions'), 'admin/content/flexiform_submissions'),
  );

  drupal_set_breadcrumb($breadcrumb);
}



