<?php
/**
 * @file
 * Views integration

/**
 * Implements hook_views_data().
 */
function opencrm_views_data() {
  $data = array();

  $data['party']['opencrm_edit_link'] = array(
    'title' => t('OpenCRM Edit Link'),
    'help' => t('Provide a link to the party edit form.'),
    'field' => array(
      'real field' => 'pid',
      'handler' => 'opencrm_handler_field_edit_link',
    ),
  );

  $data['party']['opencrm_join_link'] = array(
    'title' => t('OpenCRM Join Link'),
    'help' => t('Provide a link to the party join form.'),
    'field' => array(
      'real field' => 'pid',
      'handler' => 'opencrm_handler_field_join_link',
    ),
  );

  $data['party']['opencrm_leave_link'] = array(
    'title' => t('OpenCRM Leave Link'),
    'help' => t('Provide a link to the party leave form.'),
    'field' => array(
      'real field' => 'pid',
      'handler' => 'opencrm_handler_field_leave_link',
    ),
  );

  /**$data['party']['opencrm_manage_link'] = array(
    'title' => t('OpenCRM Manage Link'),
    'help' => t('Provide a link to the party manage form.'),
    'field' => array(
      'real field' => 'pid',
      'handler' => 'opencrm_handler_field_manage_link',
    ),
  );*/


  return $data;
}

/**
 * Implements hook_views_query_alter().
 */
function opencrm_views_query_alter(&$view, &$query) {
  // On the duplicates view, make sure we do not show copies of the same party
  // in the listings.
  if ($view->name == 'party_view__duplicates') {
    $party_id = $view->argument['pid']->argument;
    $query->where[0]['conditions'][] = array(
      'field' => 'party.pid',
      'value' => $party_id,
      'operator' => '<>',
    );
  }
}
