(function ($) {

/**
 * JS related to the tabs in the Panels tabs.
 */
Drupal.behaviors.panelsTabs = {
  attach: function (context) {
    $.each(Drupal.settings.panelsTabs.tabsID, function(selector, options) {
      $('#' + selector +':not(.tabs-processed)', context)
        .addClass('tabs-processed')
        .tabs(options)
        .find('.processed-hide').hide();
    });
  },
  detach: function (context) {
    // Make sure we don't loose the cookie when the tabs are destroyed (e.g.
    // ajax insert commands). We'll store the current tab back to the options.
    $.each(Drupal.settings.panelsTabs.tabsID, function(selector, options) {
      Drupal.settings.panelsTabs.tabsID[selector].selected = $('#' + selector).tabs('option', 'selected');
    });
  }
};

})(jQuery);


